Add/update candidate property value

Please use PUT /candidates/{id}/jobs/{jobId}/properties instead. Set a candidate property value for the candidate. Below you can find a list of value examples, dependent on different candidate property types.

  • BOOLEAN
{ "value": true }

Value has to be true or false.

  • COUNTRY
{ "value": "us" }

Value has to be lowercase string in ISO 3166-1 alpha-2 format.

  • CURRENCY
{
  "value": {
    "code": "GBP",
    "value": 23232
  }
}

Code of value is a currency code in ISO 4217 format.

  • DATE
{ "value": "2015-11-17T23:00:00.000Z" }
  • NUMBER, PERCENT
{ "value": 42 }
  • REGION
{ "value": "us-wa" }

Value has to be lowercase string in ISO 3166-2 compatible format.

  • SINGLE_SELECT
{ "value": "f6fe768f-b5e6-4794-9938-c2f42ab0a572" }

Value has to be an id of candidate property value (provided by GET /configuration/candidate-properties/{propertyId}/values).

  • TEXT
{ "value": "Example text" }
  • USER
{ "value": "50fe861de4b00265edec6775" }

Value has to be a valid user id

To reset a value for any of the above types, please pass

{}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

candidate identifier

string
required

Candidate property id (uuid or key)

Body Params

Input value of the candidate property.

string, number, boolean or object depending on property

Responses
204

Property successfully updated.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json